Bug 835645 - [abrt] rawtherapee-4.0.9-1.fc17: Process /usr/bin/rawtherapee was killed by signal 11 (SIGSEGV)
[abrt] rawtherapee-4.0.9-1.fc17: Process /usr/bin/rawtherapee was killed by s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rawtherapee (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thibault North
Fedora Extras Quality Assurance
abrt_hash:923c2df88176e31dc0457f86250...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 13:19 EDT by Xaver Hellauer
Modified: 2013-08-01 14:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:09:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.71 KB, text/plain)
2012-06-26 13:19 EDT, Xaver Hellauer
no flags Details
File: xsession_errors (102.56 KB, text/plain)
2012-06-26 13:19 EDT, Xaver Hellauer
no flags Details
File: maps (73.63 KB, text/plain)
2012-06-26 13:19 EDT, Xaver Hellauer
no flags Details
File: dso_list (7.91 KB, text/plain)
2012-06-26 13:19 EDT, Xaver Hellauer
no flags Details
File: var_log_messages (6.75 KB, text/plain)
2012-06-26 13:19 EDT, Xaver Hellauer
no flags Details

  None (edit)
Description Xaver Hellauer 2012-06-26 13:19:27 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        rawtherapee
crash_function: rtengine::procparams::PartialProfile::applyTo
executable:     /usr/bin/rawtherapee
kernel:         3.4.3-1.fc17.x86_64
pid:            20253
pwd:            /home/xha
time:           Di 26 Jun 2012 19:15:55 CEST
uid:            1000
username:       xha

backtrace:      Text file, 27351 bytes
dso_list:       Text file, 8102 bytes
maps:           Text file, 75394 bytes
var_log_messages: Text file, 6908 bytes
xsession_errors: Text file, 105021 bytes

build_ids:
:63651cdc0224824a9c9324c77c3b5887378e871d
:f11637fe4d66ce68785e3565d4ad73c2cfd3b6ba
:99c23b21038c62b0628b93610fb54c5900c40ffd
:faca16f15d87b83d2947a386e319b02f724dcbb5
:8c1105fdca80308f44d545b954a7dcd518f98db5
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:127f8958b602715234a02b88adb08afd9e34c203
:b6d75088f555d197be1476cb1c580640826ae029
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:fe58d8fb04b8db326ab41ab7a98b0f3b73e06618
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:45b9c1436f78151fc2e3f8ab1189d31532b2f2af
:d8d393649ae4da146ebc8812db58514f245f08a9
:b277af36744327e3d58eae76bcdaadcca71a28c6
:7716bc5c1738194dad6ec6679d05ae3782139288
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90
:ec87953f655fbcbcbe71b591db5451e56739576e
:d4ffd15a5a656e6f7ea2415b2c5f21cc54cc1df0
:d804f8ee47797da9213a92f00cd095ecada8d79f
:1d0288598e0438654b5bfec74a8cf1c46598bf47
:ac943af4aaadceb5deb00b73d39c85444512c747
:712a8ccad54d22068d6c8dde6395f5b4b3a72659
:31243d0d107bba586a96433c76c87a26db1e826c
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:87712be648d2d43ea4cd002fe7a859df636f1e13
:5a21060d9c8bf8faef9fd0a6f767d09d36730b12
:253afe744466fe7580bbb6040de6183dba9e2b02
:f64b7319b84d426ed547084bdb2577f4f596c18f
:c52c7fe515f9d25fee23e57d69db877abc6ad11a
:5d08d928a5f0b7efa48e4874b6dc4337d0a5ffb1
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:8f7c190397d7c1f617e66f18f759714662b60367
:73777e822e00ca152ffca281ab0ace0cb498ec48
:54a5cc118d928470da13565de8592b664a9868e0
:516204cfc31148538d56b21e2f1b945ed50127d4
:db93eed682997015cdf4df0f73c822574f2da66f
:a6a94447f1fe9f7ed09f1118cdd836ab58926e56
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:3d60535f052babb998bae4807bc992c5d15df5c4
:ff5a0c299ee54a2580475ad0d6cae351ec6cd4f6
:67792c148d2b8f13f6732c9367e926c26d7376c5
:822e9b3523e8312240f41a25722d539bc77ed436
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:579734433e95e7aa37512b05d3ea5597d4169464
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:4e0a3559ef2951a86e97f298027bc0b6df609069
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:f1c49123d06db01a4d1a4749d57f52f01bac8f63
:1555b1de25ee9aa6770b016dc6b0fc0372c073bd
:edb66e9ce904aaaca21ec3777d64e0158854dbce
:a12904e3aa7e77a54deb00b1ca82f5d3da55cb91
:f4d479614b09460085428bbe7d53df454d0d39e5
:508cf66f72e70054a41215f80ed2385c6bb80030
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:4b044fe80e4c1b69986abc4b160c303048005d4e
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:5dd234206476b0387cd251598aa72a2c95c763c5
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:f06640700fb0feb44c0318bd13869e0b0a5f72ec
:1a0c09f270adf8398df4362ce0acfafc1f970982
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:247132297f287226a24c12e683292f5c94013066
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/xha/2

core_backtrace:
:579734433e95e7aa37512b05d3ea5597d4169464 0xbdd05 rtengine::procparams::PartialProfile::applyTo(rtengine::procparams::ProcParams*) librtengine.so -
:1d0288598e0438654b5bfec74a8cf1c46598bf47 0x21bee5 Thumbnail::loadProcParams() [exe] -
:1d0288598e0438654b5bfec74a8cf1c46598bf47 0x22167a Thumbnail::Thumbnail(CacheManager*, [exe] -
:1d0288598e0438654b5bfec74a8cf1c46598bf47 0x1212b1 CacheManager::getEntry(Glib::ustring [exe] -
:1d0288598e0438654b5bfec74a8cf1c46598bf47 0x23e9c5 BatchQueue::loadBatchQueue() [exe] -
:1d0288598e0438654b5bfec74a8cf1c46598bf47 0xf5fd9 BatchQueuePanel::BatchQueuePanel() [exe] -
:1d0288598e0438654b5bfec74a8cf1c46598bf47 0xcd376 RTWindow::RTWindow() [exe] -
:1d0288598e0438654b5bfec74a8cf1c46598bf47 0x8f454 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=ardbeg
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/xha/keyring-CaURPS
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=xha
:USERNAME=xha
:MAIL=/var/spool/mail/xha
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/xha/.local/bin:/home/xha/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/xha
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=939
:LANG=de_DE.utf8
:GDM_LANG=de_DE.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/xha
:SHLVL=1
:LOGNAME=xha
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-LHWVeQNqbS,guid=4d5d2321d0af50d2425b7de300000074
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/xha
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-xha-aJ2s4q/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/943,unix/unix:/tmp/.ICE-unix/943
:GPG_AGENT_INFO=/run/user/xha/keyring-CaURPS/gpg:0:1
:SSH_AUTH_SOCK=/run/user/xha/keyring-CaURPS/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rawtherapee-staging.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=20253

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31396                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31396                31396                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

smolt_data:
:
:
:Allgemein
:=================================
:UUID: 5bc7b710-5f63-44e0-9a0e-031b12bd1eea
:OS: Fedora release 17 (Beefy Miracle)
:Standard-Runlevel: Unknown
:Sprache: de_DE.utf8
:Plattform: x86_64
:BogoMIPS: 4799.74
:CPU-Anbieter: GenuineIntel
:CPU-Modell: Intel(R) Celeron(R) CPU        E3200  @ 2.40GHz
:CPU-Stepping: 10
:CPU Familie: 6
:CPU-Modellnummer: 23
:Anzahl der CPUs: 2
:CPU-Geschwindigkeit: 2399
:Systemspeicher: 3945
:System-Swap: 4096
:Anbieter: MICRO-STAR INTERNATIONAL CO.,LTD
:System: MS-7529 1.0
:Form-Faktor: Desktop
:Kernel: 3.4.3-1.fc17.x86_64
:SELinux aktiviert: 1
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(32902:10688:5218:29993) pci, agpgart-intel, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10202:5218:29993) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:10176:5218:29993) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10207:5218:29993) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10168:5218:29993) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(4332:33078:5218:29993) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10185:5218:29993) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:9294:5218:29993) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10187:5218:29993) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10186:5218:29993) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(4254:878:5435:4391) pci, bttv, MULTIMEDIA_VIDEO, Bt878 Video Capture
:(4254:2168:5435:4391) pci, None, MULTIMEDIA, Bt878 Audio Capture
:(4281:21049:4281:21049) pci, ehci_hcd, USB, ASRock 939Dual-SATA2 Motherboard
:(4281:21047:4281:21047) pci, ohci_hcd, USB, ASRock 939Dual-SATA2 Motherboard
:(4281:21047:4281:21047) pci, ohci_hcd, USB, ASRock 939Dual-SATA2 Motherboard
:(4281:21047:4281:21047) pci, ohci_hcd, USB, ASRock 939Dual-SATA2 Motherboard
:(32902:10690:5218:29993) pci, i915, VIDEO, 82G33/G31 Express Integrated Graphics Controller
:(32902:10192:5218:29993) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:5218:29993) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:5218:29993) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10184:5218:29993) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10188:5218:29993) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 3141608 1003580 972108 794624 549788 549788
:/dev/sda3 /home ext4 4096 4096 35961191 3479147 1678546 9003008 8884910 8884910
:/dev/sdb1 WITHHELD ext4 4096 4096 121958172 6281175 176356 30531584 30499172 30499172
:/dev/sdj1 WITHHELD ext4 4096 4096 60973831 4325508 1273041 15269888 15239073 15239073
:/dev/sdi1 WITHHELD ext4 4096 4096 487879589 103692424 79273519 122101760 121697552 121697552
:
Comment 1 Xaver Hellauer 2012-06-26 13:19:33 EDT
Created attachment 594536 [details]
File: backtrace
Comment 2 Xaver Hellauer 2012-06-26 13:19:35 EDT
Created attachment 594537 [details]
File: xsession_errors
Comment 3 Xaver Hellauer 2012-06-26 13:19:38 EDT
Created attachment 594538 [details]
File: maps
Comment 4 Xaver Hellauer 2012-06-26 13:19:40 EDT
Created attachment 594539 [details]
File: dso_list
Comment 5 Xaver Hellauer 2012-06-26 13:19:42 EDT
Created attachment 594540 [details]
File: var_log_messages
Comment 6 Thibault North 2012-07-12 04:39:35 EDT
Please try the follwing repository, and let me know if it fixes the bug:
http://repos.fedorapeople.org/repos/tnorth/rawtherapee-staging/

Thanks,
Comment 7 Angelo Gründler 2012-07-18 18:56:40 EDT
I can confirm that using 'rawtherapee-staging' fixes the bug (for me).
Comment 8 Fedora End Of Life 2013-07-04 02:34:30 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 14:09:20 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.